org.wildfly.swarm.config.elytron

## Class KerberosSecurityFactory<T extends KerberosSecurityFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.KerberosSecurityFactory<T>

-     public class KerberosSecurityFactory<T extends KerberosSecurityFactory<T>>
      extends Object

  A security factory for obtaining a GSSCredential for use during authentication.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosSecurityFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `debug()` Should the JAAS step of obtaining the credential have debug logging enabled.
    `T` | `debug(Boolean value)` Should the JAAS step of obtaining the credential have debug logging enabled.
    `String` | `getKey()`
    `T` | `mechanismName(String value)` The mechanism names the credential should be usable with.
    `List<String>` | `mechanismNames()` The mechanism names the credential should be usable with.
    `T` | `mechanismNames(List<String> value)` The mechanism names the credential should be usable with.
    `T` | `mechanismNames(String... args)` The mechanism names the credential should be usable with.
    `T` | `mechanismOid(String value)` The mechanism OIDs the credential should be usable with.
    `List<String>` | `mechanismOids()` The mechanism OIDs the credential should be usable with.
    `T` | `mechanismOids(List<String> value)` The mechanism OIDs the credential should be usable with.
    `T` | `mechanismOids(String... args)` The mechanism OIDs the credential should be usable with.
    `Integer` | `minimumRemainingLifetime()` How much lifetime (in seconds) should a cached credential have remaining before it is recreated.
    `T` | `minimumRemainingLifetime(Integer value)` How much lifetime (in seconds) should a cached credential have remaining before it is recreated.
    `Boolean` | `obtainKerberosTicket()` Should the KerberosTicket also be obtained and associated with the credential.
    `T` | `obtainKerberosTicket(Boolean value)` Should the KerberosTicket also be obtained and associated with the credential.
    `T` | `option(String key, Object value)` The Krb5LoginModule additional options.
    `Map` | `options()` The Krb5LoginModule additional options.
    `T` | `options(Map value)` The Krb5LoginModule additional options.
    `String` | `path()` The path of the KeyTab to load to obtain the credential.
    `T` | `path(String value)` The path of the KeyTab to load to obtain the credential.
    `String` | `principal()` The principal represented by the KeyTab
    `T` | `principal(String value)` The principal represented by the KeyTab
    `String` | `relativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `relativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `requestLifetime()` How much lifetime (in seconds) should be requested for newly created credentials.
    `T` | `requestLifetime(Integer value)` How much lifetime (in seconds) should be requested for newly created credentials.
    `Boolean` | `required()` Is the keytab file with adequate principal required to exist at the time the service starts?
    `T` | `required(Boolean value)` Is the keytab file with adequate principal required to exist at the time the service starts?
    `Boolean` | `server()` If this for use server side or client side?
    `T` | `server(Boolean value)` If this for use server side or client side?
    `Boolean` | `wrapGssCredential()` Should generated GSS credentials be wrapped to prevent improper disposal or not?
    `T` | `wrapGssCredential(Boolean value)` Should generated GSS credentials be wrapped to prevent improper disposal or not?

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosSecurityFactory

          public KerberosSecurityFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### debug

          public Boolean debug()

      Should the JAAS step of obtaining the credential have debug logging enabled.

    - #### debug

          public T debug(Boolean value)

      Should the JAAS step of obtaining the credential have debug logging enabled.

    - #### mechanismNames

          public List<String> mechanismNames()

      The mechanism names the credential should be usable with. Names will be converted to OIDs and used together with OIDs from mechanism-oids attribute.

    - #### mechanismNames

          public T mechanismNames(List<String> value)

      The mechanism names the credential should be usable with. Names will be converted to OIDs and used together with OIDs from mechanism-oids attribute.

    - #### mechanismName

          public T mechanismName(String value)

      The mechanism names the credential should be usable with. Names will be converted to OIDs and used together with OIDs from mechanism-oids attribute.

    - #### mechanismNames

          public T mechanismNames(String... args)

      The mechanism names the credential should be usable with. Names will be converted to OIDs and used together with OIDs from mechanism-oids attribute.

    - #### mechanismOids

          public List<String> mechanismOids()

      The mechanism OIDs the credential should be usable with. Will be used together with OIDs derived from names from mechanism-names attribute.

    - #### mechanismOids

          public T mechanismOids(List<String> value)

      The mechanism OIDs the credential should be usable with. Will be used together with OIDs derived from names from mechanism-names attribute.

    - #### mechanismOid

          public T mechanismOid(String value)

      The mechanism OIDs the credential should be usable with. Will be used together with OIDs derived from names from mechanism-names attribute.

    - #### mechanismOids

          public T mechanismOids(String... args)

      The mechanism OIDs the credential should be usable with. Will be used together with OIDs derived from names from mechanism-names attribute.

    - #### minimumRemainingLifetime

          public Integer minimumRemainingLifetime()

      How much lifetime (in seconds) should a cached credential have remaining before it is recreated.

    - #### minimumRemainingLifetime

          public T minimumRemainingLifetime(Integer value)

      How much lifetime (in seconds) should a cached credential have remaining before it is recreated.

    - #### obtainKerberosTicket

          public Boolean obtainKerberosTicket()

      Should the KerberosTicket also be obtained and associated with the credential. This is required to be true where credentials are delegated to the server.

    - #### obtainKerberosTicket

          public T obtainKerberosTicket(Boolean value)

      Should the KerberosTicket also be obtained and associated with the credential. This is required to be true where credentials are delegated to the server.

    - #### options

          public Map options()

      The Krb5LoginModule additional options.

    - #### options

          public T options(Map value)

      The Krb5LoginModule additional options.

    - #### option

          public T option(String key,
                          Object value)

      The Krb5LoginModule additional options.

    - #### principal

          public String principal()

      The principal represented by the KeyTab

    - #### principal

          public T principal(String value)

      The principal represented by the KeyTab

    - #### requestLifetime

          public Integer requestLifetime()

      How much lifetime (in seconds) should be requested for newly created credentials.

    - #### requestLifetime

          public T requestLifetime(Integer value)

      How much lifetime (in seconds) should be requested for newly created credentials.

    - #### required

          public Boolean required()

      Is the keytab file with adequate principal required to exist at the time the service starts?

    - #### required

          public T required(Boolean value)

      Is the keytab file with adequate principal required to exist at the time the service starts?

    - #### server

          public Boolean server()

      If this for use server side or client side?

    - #### server

          public T server(Boolean value)

      If this for use server side or client side?

    - #### wrapGssCredential

          public Boolean wrapGssCredential()

      Should generated GSS credentials be wrapped to prevent improper disposal or not?

    - #### wrapGssCredential

          public T wrapGssCredential(Boolean value)

      Should generated GSS credentials be wrapped to prevent improper disposal or not?

    - #### path

          public String path()

      The path of the KeyTab to load to obtain the credential.

    - #### path

          public T path(String value)

      The path of the KeyTab to load to obtain the credential.

    - #### relativeTo

          public String relativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### relativeTo

          public T relativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

Copyright © 2017 JBoss by Red Hat. All rights reserved.